Subject: Re: [PATCH v0 3/3] Build in git-rebase.sh

From: Jakub Narebski <[email-masked]>
Date: Thu, 21 May 2009 14:29:12 +0200

On Thu, 21 May 2009, Nguyen Thai Ngoc Duy wrote:
> 2009/5/21 Jakub Narebski <[email-masked]>:
>> Nguyễn Thái Ngọc Duy    <[email-masked]> writes:

>> [...]
>>> +#define REBASE_ABORT         0x0001
>>> +#define REBASE_CONTINUE              0x0002
>>> +#define REBASE_FORCE         0x0004
>>> +#define REBASE_IGNORE_DATE   0x0008
>>> +#define REBASE_INTERACTIVE   0x0010
>>> +#define REBASE_MERGE         0x0020
>>> +#define REBASE_STAT          0x0040
>>> +#define REBASE_NO_VERIFY     0x0080
>>> +#define REBASE_PRESERVE_MERGES       0x0100
>>> +#define REBASE_ROOT          0x0200
>>> +#define REBASE_SKIP          0x0400
>>> +#define REBASE_VERBOSE               0x0800
>>
>> I see misaligns here...
> 
> Hmm.. it's perfectly aligned in complete source form. Probably
> because of TABs. 

Yes, it is because of using TABs to align (and not only to indent),
and probably because of changing tabstop because of extra character
('+' at beginning).  I don't know good solution for this problem.
 
>> [...]
>>
>> Couldn't you use parseopt also in subcommands?
> 
> I don't understand. You mean parseopt for --continue, --skip and
> --abort? 

Yes. I don't know if it possible, and if it would make sense, but it
seems strange to me having both parseopts in main, and strcmp
comparisons for other parts...

-- 
Jakub Narebski
Poland